Loading...
Searching...
No Matches
Ogre::VertexBoneAssignment Struct Reference
Core » Animation

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

## Public Attributes

uint16 | boneIndex
uint32 | vertexIndex
float | weight

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

## Member Data Documentation

## vertexIndex

uint32 Ogre::VertexBoneAssignment::vertexIndex

## boneIndex

uint16 Ogre::VertexBoneAssignment::boneIndex

## weight

float Ogre::VertexBoneAssignment::weight

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h